Problem upgrade to cyberpanel 2.1.1 — CyberPanel - WebHosting Control Panel for OpenLiteSpeed
CyberLoader

Problem upgrade to cyberpanel 2.1.1

hallo, can help me? problem upgrade cyberpanel 2.1.1
=================
Saving to: ‘wsgi-lsapi-1.7.tgz’

100%[======================================>] 48,997 156KB/s in 0.3s

2021-05-02 15:10:01 (156 KB/s) - ‘wsgi-lsapi-1.7.tgz’ saved [48997/48997]

Done.
gcc -pthread -Wno-unused-result -Wsign-compare -DNDEBUG -O2 -g -pipe -Wall -Wp,- D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size =4 -grecord-gcc-switches -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv -O0 - g3 -I. -I/usr/include/python3.6m -I. -I/usr/include/python3.6m -c -o main.o ma in.c
In file included from /usr/include/inttypes.h:25:0,
from ./lsapidef.h:37,
from ./lsapilib.h:41,
from main.c:34:
/usr/include/features.h:330:4: warning: #warning _FORTIFY_SOURCE requires compil ing with optimization (-O) [-Wcpp]
# warning _FORTIFY_SOURCE requires compiling with optimization (-O)
^
main.c:42:20: fatal error: Python.h: No such file or directory
#include <Python.h>
^
compilation terminated.
make: *** [main.o] Error 1
cp: cannot stat ‘lswsgi’: No such file or directory
Loaded plugins: copr, fastestmirror
Loading mirror speeds from cached hostfile
* base: mirror.vastspace.net
* epel: d2lzkl7pfhq30w.cloudfront.net
* extras: mirror.vastspace.net
* updates: mirror.vastspace.net
Installed Packages
lsphp74-devel.x86_64 7.4.16-2.el7 @litespeed-update
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
0 1247 0 0 0 0 0 0 --:--:-- 0:00:08 --:--:-- 0

Seems something wrong with upgarde, please check...

[[email protected] ~]#

=================
can help me?

Comments

  • I have tried, but the results are still the same. what parts do i need to fix?
  • Can you share complete upgrade logs
  • what command should i use to find out? instructions please. sorry, i am not very familiar with cyberpanel.
  • bash <(curl https://cyberpanel.sh/new_upgrade.sh) -b 2.1.1

    Run this and capture complete output please.
  • there was a problem in python3. I tried to uninstall python and and install python3-devel. Then I tried upgrading and now I can. Thank you very much for your help.
  • Exception:
    Traceback (most recent call last):
    File "/usr/lib/python3.6/site-packages/pip/basecommand.py", line 215, in main
    status = self.run(options, args)
    File "/usr/lib/python3.6/site-packages/pip/commands/install.py", line 311, in run
    delete=build_delete) as build_dir:
    File "/usr/lib/python3.6/site-packages/pip/utils/build.py", line 22, in __init__
    name = os.path.realpath(tempfile.mkdtemp(prefix="pip-build-"))
    File "/usr/lib64/python3.6/tempfile.py", line 360, in mkdtemp
    prefix, suffix, dir, output_type = _sanitize_params(prefix, suffix, dir)
    File "/usr/lib64/python3.6/tempfile.py", line 130, in _sanitize_params
    dir = gettempdir()
    File "/usr/lib64/python3.6/tempfile.py", line 298, in gettempdir
    tempdir = _get_default_tempdir()
    File "/usr/lib64/python3.6/tempfile.py", line 233, in _get_default_tempdir
    dirlist)
    FileNotFoundError: [Errno 2] No usable temporary directory found in ['/tmp', '/var/tmp', '/usr/tmp', '/root/cyberpanel_upgrade_tmp']
Sign In or Register to comment.
CyberPanel Discord

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!